Subject: RE: bug#4033: 23.1; list-colors-display is misleading

From: "Drew Adams" <[email-masked]>
Date: Tue, 4 Aug 2009 16:55:44 -0700

> > See my reply to Juri. I'd be grateful for clarification. 
> > What's the point of having `display-color-cells' tell me
> > that I have, say 16777216 colors available,
> > if that's not really the case as far as Emacs is concerned?
>  
> 16777216 = 2^24 = 2^(3*8): #RRGGBB

= 16^6: 6 hex digits, yes.

OK, so that says that my display only handles 8 bits per component.

But what about this?

> > Doesn't 16-bits per component mean 4 hex digits per component?
> > IOW, #RRRRGGGGBBBB (internally).

IOW, even if my particular display only supports 2 hex digits per component, if
Emacs supports 16 bits per component internally, doesn't that mean that it
supports up to #RRRRGGGGBBBB?